Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

Add reports to the report settings.

Add reports to the report settings. Add a list of architecture reports to the report settings of a warehouse

Security: Manager of the process space.

PUT/v1/warehouses/{warehouseId}/preferences/architecture/reports
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Request body
requiredapplication/json

Array of report keys

Array of ArchitectureReportType
string
Responses
200

added architecture report settings

Array of ArchitectureReportSetting
activatedActionStamprequired
Show properties
instantstring<date-time>required
userIdstringrequired
reportKeyArchitectureReportTyperequired
Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
400

Unknown report type

string
403

Forbidden: insufficient permissions

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/preferences/architecture/reports' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "ArchitectureElementsWithInvalidRelationships"
]'
Response
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "reportKey": "ArchitectureElementsWithInvalidRelationships"
  }
]